
lioeditor.tg_icons = 1

lioeditor.codesense.java.argstip = true
lioeditor.codesense.java.timer = true
lioeditor.codesense.java.delay = 1000

lioeditor.keys.expand_template = VK_F9+CTRL_MASK
lioeditor.keys.template_next_tag = VK_I+CTRL_MASK
lioeditor.keys.rect_block = VK_L+CTRL_MASK
lioeditor.keys.line_block = VK_L+CTRL_MASK
lioeditor.keys.paste_rect_block = VK_B+CTRL_MASK

lioeditor.keys.delete_line = VK_BACK_SPACE+ALT_MASK+SHIFT_MASK
lioeditor.keys.delete_to_eol = VK_END+ALT_MASK
lioeditor.keys.delete_to_bol =
;lioeditor.keys.delete_to_bol = VK_BACK_SPACE+SHIFT_MASK
lioeditor.keys.delete_word_right = VK_DELETE+CTRL_MASK
lioeditor.keys.delete_word_left = VK_BACK_SPACE+CTRL_MASK

lioeditor.keys.code_sense = VK_SPACE+CTRL_MASK

lioeditor.keys.bkmk_add = VK_M+CTRL_MASK
lioeditor.keys.bkmk_show = VK_D+CTRL_MASK

lioeditor.options.lock_cursor_paste = false
lioeditor.options.word_lr_mode = 1
lioeditor.options.font_name =
lioeditor.options.font_size = 12
lioeditor.options.caret.shape = vertical

lioeditor.bookmarks.close_on_goto = true

optionsEditor.item.Text Editor.view.UI = treeTableNodeUI
optionsEditor.item.Text Editor.view.expandLevel = 1
optionsEditor.item.Text Editor.condition = !isPlugin() && isGlobalOptions() && isFeatureEnabledByWorkspace("Options.Text Editor")
optionsEditor.item.Text Editor.view.description=["lioTextEditorTab/textEditor_description"]

optionsEditor.item.Text Editor.item.Font Size.name = ["lioTextEditorTab/fontSize"]
optionsEditor.item.Text Editor.item.Font Size = FontSizeField
optionsEditor.item.Text Editor.item.Font Size.propertyName = lioeditor.options.font_size
optionsEditor.item.Text Editor.item.Font Size.view.description=["lioTextEditorTab/fontSize_description"]

optionsEditor.item.Text Editor.item.Caret.name = ["lioTextEditorTab/caretShape"]
optionsEditor.item.Text Editor.item.Caret = ChoiceField({ values := { "vertical", "horizontal" }, names  := { "Vertical", "Horizontal" }})
optionsEditor.item.Text Editor.item.Caret.propertyName = lioeditor.options.caret.shape
optionsEditor.item.Text Editor.item.Caret.view.description=["lioTextEditorTab/caretShape_description"]


;optionsEditor.item.Text Editor.item.Options.name = ["lioTextEditorTab/Options"]
;optionsEditor.item.Text Editor.item.Options.view.description = ["lioTextEditorTab/Options_description"]

;optionsEditor.item.Text Editor.item.Options.item.Leave After Paste.name = ["lioTextEditorTab/leaveAfterPaste"]
;optionsEditor.item.Text Editor.item.Options.item.Leave After Paste = BooleanField
;optionsEditor.item.Text Editor.item.Options.item.Leave After Paste.propertyName = lioeditor.options.lock_cursor_paste
;optionsEditor.item.Text Editor.item.Options.item.Leave After Paste.view.description=["lioTextEditorTab/leaveAfterPaste_description"]

optionsEditor.item.Text Editor.item.CodeSense.item.Activate.name = ["lioTextEditorTab/CodeSense_Activate"]
optionsEditor.item.Text Editor.item.CodeSense.item.Activate = BooleanField
optionsEditor.item.Text Editor.item.CodeSense.item.Activate.propertyName = lioeditor.codesense.java.timer
optionsEditor.item.Text Editor.item.CodeSense.item.Activate.view.description=["lioTextEditorTab/CodeSense_Activate_description"]

optionsEditor.item.Text Editor.item.CodeSense.item.Delay.name = ["lioTextEditorTab/CodeSense_Delay"]
optionsEditor.item.Text Editor.item.CodeSense.item.Delay = StringField
optionsEditor.item.Text Editor.item.CodeSense.item.Delay.propertyName = lioeditor.codesense.java.delay
optionsEditor.item.Text Editor.item.CodeSense.item.Delay.view.description=["lioTextEditorTab/CodeSense_Delay_description"]

optionsEditor.item.Text Editor.item.CodeSense.item.ArgsTip.name = ["lioTextEditorTab/CodeSense_ArgsTip"]
optionsEditor.item.Text Editor.item.CodeSense.item.ArgsTip = BooleanField
optionsEditor.item.Text Editor.item.CodeSense.item.ArgsTip.propertyName = lioeditor.codesense.java.argstip
optionsEditor.item.Text Editor.item.CodeSense.item.ArgsTip.view.description=["lioTextEditorTab/CodeSense_ArgsTip_description"]


optionsEditor.item.Text Editor.item.Keys.name = ["lioTextEditorTab/Keys"]
optionsEditor.item.Text Editor.item.Keys.view.description = ["lioTextEditorTab/Keys_description"]
optionsEditor.item.Text Editor.item.Keys.condition = isDefaultOptions() 

optionsEditor.item.Text Editor.item.Keys.item.Expand Template.name = ["lioTextEditorTab/keyExpandTemplate"]
optionsEditor.item.Text Editor.item.Keys.item.Expand Template = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Expand Template.propertyName = lioeditor.keys.expand_template
optionsEditor.item.Text Editor.item.Keys.item.Expand Template.view.description=["lioTextEditorTab/keyExpandTemplate_description"]

optionsEditor.item.Text Editor.item.Keys.item.Template Next Tag.name = ["lioTextEditorTab/keyTemplateNextTag"]
optionsEditor.item.Text Editor.item.Keys.item.Template Next Tag = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Template Next Tag.propertyName = lioeditor.keys.template_next_tag
optionsEditor.item.Text Editor.item.Keys.item.Template Next Tag.view.description=["lioTextEditorTab/keyTemplateNextTag_description"]

optionsEditor.item.Text Editor.item.Keys.item.Rect Block.name = ["lioTextEditorTab/keyRectBlock"]
optionsEditor.item.Text Editor.item.Keys.item.Rect Block = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Rect Block.propertyName = lioeditor.keys.rect_block
optionsEditor.item.Text Editor.item.Keys.item.Rect Block.view.description=["lioTextEditorTab/keyRectBlock_description"]

optionsEditor.item.Text Editor.item.Keys.item.Line Block.name = ["lioTextEditorTab/keyLineBlock"]
optionsEditor.item.Text Editor.item.Keys.item.Line Block = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Line Block.propertyName = lioeditor.keys.line_block
optionsEditor.item.Text Editor.item.Keys.item.Line Block.view.description=["lioTextEditorTab/keyLineBlock_description"]

optionsEditor.item.Text Editor.item.Keys.item.Paste Rect Block.name = ["lioTextEditorTab/keyPasteRect"]
optionsEditor.item.Text Editor.item.Keys.item.Paste Rect Block = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Paste Rect Block.propertyName = lioeditor.keys.paste_rect_block
optionsEditor.item.Text Editor.item.Keys.item.Paste Rect Block.view.description=["lioTextEditorTab/keyPasteRect_description"]

optionsEditor.item.Text Editor.item.Keys.item.Delete Line.name = ["lioTextEditorTab/keyDelLine"]
optionsEditor.item.Text Editor.item.Keys.item.Delete Line = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Delete Line.propertyName = lioeditor.keys.delete_line
optionsEditor.item.Text Editor.item.Keys.item.Delete Line.view.description=["lioTextEditorTab/keyDelLine_description"]

optionsEditor.item.Text Editor.item.Keys.item.Delete EOL.name = ["lioTextEditorTab/keyDelEOL"]
optionsEditor.item.Text Editor.item.Keys.item.Delete EOL = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Delete EOL.propertyName = lioeditor.keys.delete_to_eol
optionsEditor.item.Text Editor.item.Keys.item.Delete EOL.view.description=["lioTextEditorTab/keyDelEOL_description"]

optionsEditor.item.Text Editor.item.Keys.item.Delete BOL.name = ["lioTextEditorTab/keyDelBOL"]
optionsEditor.item.Text Editor.item.Keys.item.Delete BOL = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Delete BOL.propertyName = lioeditor.keys.delete_to_bol
optionsEditor.item.Text Editor.item.Keys.item.Delete BOL.view.description=["lioTextEditorTab/keyDelBOL_description"]

optionsEditor.item.Text Editor.item.Keys.item.Delete Word Right.name = ["lioTextEditorTab/keyDelWRight"]
optionsEditor.item.Text Editor.item.Keys.item.Delete Word Right = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Delete Word Right.propertyName = lioeditor.keys.delete_word_right
optionsEditor.item.Text Editor.item.Keys.item.Delete Word Right.view.description=["lioTextEditorTab/keyDelWRight_description"]

optionsEditor.item.Text Editor.item.Keys.item.Delete Word Left.name = ["lioTextEditorTab/keyDelWLeft"]
optionsEditor.item.Text Editor.item.Keys.item.Delete Word Left = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Delete Word Left.propertyName = lioeditor.keys.delete_word_left
optionsEditor.item.Text Editor.item.Keys.item.Delete Word Left.view.description=["lioTextEditorTab/keyDelWLeft_description"]

optionsEditor.item.Text Editor.item.Keys.item.Code Sense.name = ["lioTextEditorTab/keyCodeSense"]
optionsEditor.item.Text Editor.item.Keys.item.Code Sense = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.Code Sense.propertyName = lioeditor.keys.code_sense
optionsEditor.item.Text Editor.item.Keys.item.Code Sense.view.description=["lioTextEditorTab/keyCodeSense_description"]

optionsEditor.item.Text Editor.item.Keys.item.BkmkAdd.name = ["lioTextEditorTab/keyBkmkAdd"]
optionsEditor.item.Text Editor.item.Keys.item.BkmkAdd = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.BkmkAdd.propertyName = lioeditor.keys.bkmk_add
optionsEditor.item.Text Editor.item.Keys.item.BkmkAdd.view.description=["lioTextEditorTab/keyBkmkAdd_description"]

optionsEditor.item.Text Editor.item.Keys.item.BkmkShow.name = ["lioTextEditorTab/keyBkmkShow"]
optionsEditor.item.Text Editor.item.Keys.item.BkmkShow = KeymapField
optionsEditor.item.Text Editor.item.Keys.item.BkmkShow.propertyName = lioeditor.keys.bkmk_show
optionsEditor.item.Text Editor.item.Keys.item.BkmkShow.view.description=["lioTextEditorTab/keyBkmkShow_description"]


optionsEditor.item.Text Editor.item.Schemes.name = ["lioTextEditorTab/Schemes"]
optionsEditor.item.Text Editor.item.Schemes.view.description = ["lioTextEditorTab/Schemes_description"]

lioeditor.scheme.plain.tab_size = 4
lioeditor.scheme.plain.font_size = 12
lioeditor.scheme.plain.right_margin = 80
lioeditor.scheme.plain.caret.shape = vertical
lioeditor.scheme.plain.cut_line_ends = true
lioeditor.scheme.plain.optimal_fill = false
lioeditor.scheme.plain.auto_indent = false
lioeditor.scheme.plain.cursor_throwgh_tabs = true
lioeditor.scheme.plain.use_tab_char = true
lioeditor.scheme.plain.group_undo = true

lioeditor.scheme.plain.colors = def

lioeditor.scheme.plain.colors.def.normal=0x000000 0xFFFFFF 0
lioeditor.scheme.plain.colors.def.select=0xFFFFFF 0x000000 0
lioeditor.scheme.plain.colors.def.findselect=0x000000 0x00FFFF 0
lioeditor.scheme.plain.colors.def.naviselect=0xFFFFFF 0x000080 0
lioeditor.scheme.plain.colors.def.userselect=0xFFFFFF 0x000080 0

lioeditor.scheme.plain.colors.ocean.normal=0x000000 0x00FFFF 0
lioeditor.scheme.plain.colors.ocean.select=0x00FFFF 0x0000FF 0
lioeditor.scheme.plain.colors.ocean.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.plain.colors.ocean.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.plain.colors.ocean.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.plain.colors.twilight.normal=0xFFFFFF 0x000000 0
lioeditor.scheme.plain.colors.twilight.select=0x000000 0x0000FF 0
lioeditor.scheme.plain.colors.twilight.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.plain.colors.twilight.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.plain.colors.twilight.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.plain.colors.classic.normal=0xFFFF00 0x000080 0
lioeditor.scheme.plain.colors.classic.select=0x000080 0xC0C0C0 0
lioeditor.scheme.plain.colors.classic.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.plain.colors.classic.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.plain.colors.classic.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.plain.codetemplate=
lioeditor.scheme.plain.codetemplate.1=0:for:for (`condition`) {\n\t`expression`\n}
lioeditor.scheme.plain.codetemplate.2=0:while:while (`condition`) {\n\t`expression`\n}
lioeditor.scheme.plain.codetemplate.3=0:if:if (`condition`) {\n\t`expression`\n}
lioeditor.scheme.plain.codetemplate.4=0:ife:if (`condition`) {\n\t`expression`\n}\nelse {\n\t`expression`\n}
lioeditor.scheme.plain.codetemplate.5=
lioeditor.scheme.plain.codetemplate.6=
lioeditor.scheme.plain.codetemplate.7=
lioeditor.scheme.plain.codetemplate.8=
lioeditor.scheme.plain.codetemplate.9=
lioeditor.scheme.plain.codetemplate.10=
optionsEditor.item.Text Editor.item.Schemes.item.Plain.name = ["lioTextEditorTab/Scheme_Plain"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.view.description = ["lioTextEditorTab/Scheme_Plain_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Colors.name = ["lioTextEditorTab/Colors_Plain"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Colors = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Colors.propertyName = lioeditor.scheme.plain.colors
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Colors.view.description = ["lioTextEditorTab/Colors_Plain_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Tab Size.name = ["lioTextEditorTab/tabSize"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Tab Size = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Tab Size.propertyName = lioeditor.scheme.plain.tab_size
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Tab Size.view.description=["lioTextEditorTab/tabSize_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Right Margin.name = ["lioTextEditorTab/rightMargin"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Right Margin = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Right Margin.propertyName = lioeditor.scheme.plain.right_margin
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Right Margin.view.description=["lioTextEditorTab/rightMargin_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Code Template.name = ["lioTextEditorTab/CodeTemplate"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Code Template = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Code Template.propertyName = lioeditor.scheme.plain.codetemplate
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Code Template.view.description = ["lioTextEditorTab/CodeTemplate_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Cut Line Ends.name = ["lioTextEditorTab/cutLineEnds"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Cut Line Ends = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Cut Line Ends.propertyName = lioeditor.scheme.plain.cut_line_ends
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Cut Line Ends.view.description=["lioTextEditorTab/cutLineEnds_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Optimal Fill.name = ["lioTextEditorTab/optimalFill"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Optimal Fill = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Optimal Fill.propertyName = lioeditor.scheme.plain.optimal_fill
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Optimal Fill.view.description=["lioTextEditorTab/optimalFill_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Auto Indent.name = ["lioTextEditorTab/autoIndent"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Auto Indent = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Auto Indent.propertyName = lioeditor.scheme.plain.auto_indent
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Auto Indent.view.description=["lioTextEditorTab/autoIndent_description"]

;optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Smart Indent.name = ["lioTextEditorTab/smartIndent"]
;optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Smart Indent = BooleanField
;optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Smart Indent.propertyName = lioeditor.scheme.plain.smart_indent
;optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.Smart Indent.view.description=["lioTextEditorTab/smartIndent_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.CursorThrowTabs.name = ["lioTextEditorTab/cursorThrowTabs"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.CursorThrowTabs = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.CursorThrowTabs.propertyName = lioeditor.scheme.plain.cursor_throwgh_tabs
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.CursorThrowTabs.view.description=["lioTextEditorTab/cursorThrowTabs_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.UseTabChar.name = ["lioTextEditorTab/useTabChar"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.UseTabChar = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.UseTabChar.propertyName = lioeditor.scheme.plain.use_tab_char
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.UseTabChar.view.description=["lioTextEditorTab/useTabChar_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.GroupUndo.name = ["lioTextEditorTab/GroupUndo"]
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.GroupUndo = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.GroupUndo.propertyName = lioeditor.scheme.plain.group_undo
optionsEditor.item.Text Editor.item.Schemes.item.Plain.item.GroupUndo.view.description=["lioTextEditorTab/GroupUndo_description"]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

lioeditor.scheme.java.tab_size = 4
lioeditor.scheme.java.font_size = 12
lioeditor.scheme.java.right_margin = 80
lioeditor.scheme.java.caret.shape = vertical
lioeditor.scheme.java.colors = def
lioeditor.scheme.java.cut_line_ends = true
lioeditor.scheme.java.optimal_fill = false
lioeditor.scheme.java.auto_indent = true
lioeditor.scheme.java.smart_indent = true
lioeditor.scheme.java.cursor_throwgh_tabs = false
lioeditor.scheme.java.use_tab_char = true
lioeditor.scheme.java.group_undo = true
lioeditor.scheme.java.keywords = true,false,void,boolean,byte,char,short,int,long,float,double,return,if,else,continue,for,while,do,switch,case,break,default,instanceof,try,throws,throw,catch,finally,null,this,new,super,public,protected,private,synchronized,static,abstract,final,transient,volatile,native,class,interface,package,import,extends,implements
lioeditor.scheme.java.keywords2 = ArithmeticException,Character,Boolean,Class,Double,ClassCastException,Exception,Float,Long,Integer,System,InternalError,Math,IllegalArgumentException,Throwable,Runtime,Process,ArrayStoreException,ClassLoader,NullPointerException,NegativeArraySizeException,StackOverflowError,UnknownError,Number,Object,NoSuchMethodError,NumberFormatException,Runnable,StringBuffer,IncompatibleClassChangeError,Cloneable,Compiler,OutOfMemoryError,String,UnsatisfiedLinkError,AbstractMethodError,IllegalAccessError,ArrayIndexOutOfBoundsException,ThreadDeath,InstantiationException,VirtualMachineError,ClassCircularityError,LinkageError,ClassFormatError,NoClassDefFoundError,Error,SecurityManager,RuntimeException,VerifyError,SecurityException,Byte,IllegalAccessException,IllegalThreadStateException,StringIndexOutOfBoundsException,IndexOutOfBoundsException,ClassNotFoundException,InterruptedException,CloneNotSupportedException,NoSuchMethodException,Short,InstantiationError,NoSuchFieldError,Void,FloatingDecimal,IllegalMonitorStateException,IllegalStateException,NoSuchFieldException,ExceptionInInitializerError,RuntimePermission,Package,Thread,ThreadLocal,ThreadGroup,Comparable,UnsupportedOperationException,InheritableThreadLocal,UnsupportedClassVersionError,Enumeration,Random,Properties,Stack,EmptyStackException,Date,StringTokenizer,Observable,BitSet,Observer,Dictionary,NoSuchElementException,Calendar,TimeZone,Locale,EventObject,ResourceBundle,List,Vector,ListResourceBundle,TooManyListenersException,MissingResourceException,PropertyResourceBundle,GregorianCalendar,SimpleTimeZone,EventListener,Collections,PropertyPermission,Hashtable,AbstractSet,AbstractList,AbstractCollection,Collection,Arrays,Set,AbstractSequentialList,Comparator,ListIterator,Iterator,LinkedList,TreeMap,HashMap,Map,AbstractMap,HashSet,ConcurrentModificationException,ArrayList,SortedMap,SortedSet,TreeSet,WeakHashMap

lioeditor.scheme.java.colors.def.normal = 0x0 0xffffff 0
lioeditor.scheme.java.colors.def.select = 0xffffff 0x0 0
lioeditor.scheme.java.colors.def.comment = 0x808000 -1 0
lioeditor.scheme.java.colors.def.lcomment = 0x808000 -1 0
lioeditor.scheme.java.colors.def.string = 0xff -1 0
lioeditor.scheme.java.colors.def.cchar = 0xff -1 0
lioeditor.scheme.java.colors.def.number = 0xff0000 -1 0
lioeditor.scheme.java.colors.def.oper=-1 -1 0
lioeditor.scheme.java.colors.def.keyword1 = 0x0 -1 1
lioeditor.scheme.java.colors.def.keyword2 = 0x8080 -1 1
lioeditor.scheme.java.colors.def.keyword3=-1 -1 0
lioeditor.scheme.java.colors.def.findselect = 0x0 0xffff 0
lioeditor.scheme.java.colors.def.naviselect = 0xffffff 0x80 0
lioeditor.scheme.java.colors.def.userselect = 0xffffff 0x80 0

lioeditor.scheme.java.colors.ocean.normal=0x000000 0x00FFFF 0
lioeditor.scheme.java.colors.ocean.select=0x00FFFF 0x0000FF 0
lioeditor.scheme.java.colors.ocean.comment=0x008080 -1 2
lioeditor.scheme.java.colors.ocean.lcomment=0x008080 -1 2
lioeditor.scheme.java.colors.ocean.string=0x800080 -1 0
lioeditor.scheme.java.colors.ocean.cchar=0x800080 -1 0
lioeditor.scheme.java.colors.ocean.number=0x808000 -1 0
lioeditor.scheme.java.colors.ocean.oper=-1 -1 0
lioeditor.scheme.java.colors.ocean.keyword1=-1 -1 0
lioeditor.scheme.java.colors.ocean.keyword2=0x0000FF -1 0
lioeditor.scheme.java.colors.ocean.keyword3=-1 -1 0
lioeditor.scheme.java.colors.ocean.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.java.colors.ocean.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.java.colors.ocean.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.java.colors.twilight.normal=0xFFFFFF 0x000000 0
lioeditor.scheme.java.colors.twilight.select=0x000000 0x0000FF 0
lioeditor.scheme.java.colors.twilight.comment=0x00FF00 -1 2
lioeditor.scheme.java.colors.twilight.lcomment=0x00FF00 -1 2
lioeditor.scheme.java.colors.twilight.string=0xFFFF00 -1 0
lioeditor.scheme.java.colors.twilight.cchar=0xFFFF00 -1 0
lioeditor.scheme.java.colors.twilight.number=0xFF00FF -1 0
lioeditor.scheme.java.colors.twilight.oper=0xC0C0C0 -1 0
lioeditor.scheme.java.colors.twilight.keyword1=0x00FFFF -1 0
lioeditor.scheme.java.colors.twilight.keyword2=-1 -1 0
lioeditor.scheme.java.colors.twilight.keyword3=-1 -1 0
lioeditor.scheme.java.colors.twilight.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.java.colors.twilight.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.java.colors.twilight.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.java.colors.classic.normal=0xFFFF00 0x000080 0
lioeditor.scheme.java.colors.classic.select=0x000080 0xC0C0C0 0
lioeditor.scheme.java.colors.classic.comment=0xC0C0C0 -1 2
lioeditor.scheme.java.colors.classic.lcomment=0xC0C0C0 -1 2
lioeditor.scheme.java.colors.classic.string=0x00FFFF -1 0
lioeditor.scheme.java.colors.classic.cchar=0x00FFFF -1 0
lioeditor.scheme.java.colors.classic.number=0xFF00FF -1 0
lioeditor.scheme.java.colors.classic.oper=0x00FF00 -1 0
lioeditor.scheme.java.colors.classic.keyword1=0xFFFFFF -1 0
lioeditor.scheme.java.colors.classic.keyword2=-1 -1 0
lioeditor.scheme.java.colors.classic.keyword3=-1 -1 0
lioeditor.scheme.java.colors.classic.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.java.colors.classic.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.java.colors.classic.userselect=0xFFFFFF 0x808080 0


lioeditor.scheme.java.codetemplate=
lioeditor.scheme.java.codetemplate.1=0:for:for (`condition`) {\n\t`expression`\n}
lioeditor.scheme.java.codetemplate.2=0:while:while (`condition`) {\n\t`expression`\n}
lioeditor.scheme.java.codetemplate.3=0:if:if (`condition`) {\n\t`expression`\n}
lioeditor.scheme.java.codetemplate.4=0:ife:if (`condition`) {\n\t`expression`\n}\nelse {\n\t`expression`\n}
lioeditor.scheme.java.codetemplate.5=
lioeditor.scheme.java.codetemplate.6=
lioeditor.scheme.java.codetemplate.7=
lioeditor.scheme.java.codetemplate.8=
lioeditor.scheme.java.codetemplate.9=
lioeditor.scheme.java.codetemplate.10=
optionsEditor.item.Text Editor.item.Schemes.item.Java.name = ["lioTextEditorTab/Scheme_Java"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.view.description = ["lioTextEditorTab/Scheme_Java_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Colors.name = ["lioTextEditorTab/Colors_Java"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Colors = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Colors.propertyName = lioeditor.scheme.java.colors
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Colors.view.description = ["lioTextEditorTab/Colors_Java_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Right Margin.name = ["lioTextEditorTab/rightMargin"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Right Margin = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Right Margin.propertyName = lioeditor.scheme.java.right_margin
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Right Margin.view.description=["lioTextEditorTab/rightMargin_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Tab Size.name = ["lioTextEditorTab/tabSize"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Tab Size = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Tab Size.propertyName = lioeditor.scheme.java.tab_size
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Tab Size.view.description=["lioTextEditorTab/tabSize_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Cut Line Ends.name = ["lioTextEditorTab/cutLineEnds"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Cut Line Ends = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Cut Line Ends.propertyName = lioeditor.scheme.java.cut_line_ends
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Cut Line Ends.view.description=["lioTextEditorTab/cutLineEnds_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Optimal Fill.name = ["lioTextEditorTab/optimalFill"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Optimal Fill = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Optimal Fill.propertyName = lioeditor.scheme.java.optimal_fill
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Optimal Fill.view.description=["lioTextEditorTab/optimalFill_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Auto Indent.name = ["lioTextEditorTab/autoIndent"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Auto Indent = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Auto Indent.propertyName = lioeditor.scheme.java.auto_indent
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Auto Indent.view.description=["lioTextEditorTab/autoIndent_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Smart Indent.name = ["lioTextEditorTab/smartIndent"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Smart Indent = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Smart Indent.propertyName = lioeditor.scheme.java.smart_indent
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Smart Indent.view.description=["lioTextEditorTab/smartIndent_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.CursorThrowTabs.name = ["lioTextEditorTab/cursorThrowTabs"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.CursorThrowTabs = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.CursorThrowTabs.propertyName = lioeditor.scheme.java.cursor_throwgh_tabs
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.CursorThrowTabs.view.description=["lioTextEditorTab/cursorThrowTabs_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.UseTabChar.name = ["lioTextEditorTab/useTabChar"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.UseTabChar = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.UseTabChar.propertyName = lioeditor.scheme.java.use_tab_char
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.UseTabChar.view.description=["lioTextEditorTab/useTabChar_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Code Template.name = ["lioTextEditorTab/CodeTemplate"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Code Template = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Code Template.propertyName = lioeditor.scheme.java.codetemplate
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.Code Template.view.description = ["lioTextEditorTab/CodeTemplate_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Java.item.GroupUndo.name = ["lioTextEditorTab/GroupUndo"]
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.GroupUndo = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.GroupUndo.propertyName = lioeditor.scheme.java.group_undo
optionsEditor.item.Text Editor.item.Schemes.item.Java.item.GroupUndo.view.description=["lioTextEditorTab/GroupUndo_description"]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

lioeditor.scheme.cpp.tab_size = 4
lioeditor.scheme.cpp.font_size = 12
lioeditor.scheme.cpp.right_margin = 80
lioeditor.scheme.cpp.caret.shape = vertical
lioeditor.scheme.cpp.colors = def

lioeditor.scheme.cpp.keywords = asm, do, if, return, typedef, auto, double, inline, short, typeid, bool, dynamic_cast, int, signed, typename, break, else, long, sizeof, union, case, enum, mutable, static, unsigned, catch, explicit, namespace, static_cast, using, char, export, new, struct, virtual, class, extern, operator, switch, void, const, false, private, template, volatile, const_cast, float, protected, this, wchar_t, continue, for, public, throw, while, default, friend, register, true, delete, goto, try, reinterpret_cast
lioeditor.scheme.cpp.keywords2 =
lioeditor.scheme.cpp.cut_line_ends = true
lioeditor.scheme.cpp.optimal_fill = false
lioeditor.scheme.cpp.auto_indent = true
lioeditor.scheme.cpp.smart_indent = true
lioeditor.scheme.cpp.cursor_throwgh_tabs = true
lioeditor.scheme.cpp.use_tab_char = false
lioeditor.scheme.cpp.group_undo = true

lioeditor.scheme.cpp.colors.def.normal=0x000000 0xFFFFFF 0
lioeditor.scheme.cpp.colors.def.select=0xFFFFFF 0x000000 0
lioeditor.scheme.cpp.colors.def.comment=0x008000 -1 0
lioeditor.scheme.cpp.colors.def.lcomment=0x008000 -1 0
lioeditor.scheme.cpp.colors.def.preprocessor=0x008000 -1 0
lioeditor.scheme.cpp.colors.def.string=0x0000FF -1 0
lioeditor.scheme.cpp.colors.def.cchar=0x0000FF -1 0
lioeditor.scheme.cpp.colors.def.number=0x0000FF -1 0
lioeditor.scheme.cpp.colors.def.oper=-1 -1 0
lioeditor.scheme.cpp.colors.def.keyword1=0x000080 -1 0
lioeditor.scheme.cpp.colors.def.keyword2=-1 -1 0
lioeditor.scheme.cpp.colors.def.keyword3=-1 -1 0
lioeditor.scheme.cpp.colors.def.findselect=0x000000 0x00FFFF 0
lioeditor.scheme.cpp.colors.def.naviselect=0xFFFFFF 0x000080 0
lioeditor.scheme.cpp.colors.def.userselect=0xFFFFFF 0x000080 0

lioeditor.scheme.cpp.colors.ocean.normal=0x000000 0x00FFFF 0
lioeditor.scheme.cpp.colors.ocean.select=0x00FFFF 0x0000FF 0
lioeditor.scheme.cpp.colors.ocean.comment=0x008080 -1 2
lioeditor.scheme.cpp.colors.ocean.lcomment=0x008080 -1 2
lioeditor.scheme.cpp.colors.ocean.preprocessor=0x008000 -1 0
lioeditor.scheme.cpp.colors.ocean.string=0x800080 -1 0
lioeditor.scheme.cpp.colors.ocean.cchar=0x800080 -1 0
lioeditor.scheme.cpp.colors.ocean.number=0x808000 -1 0
lioeditor.scheme.cpp.colors.ocean.oper=-1 -1 0
lioeditor.scheme.cpp.colors.ocean.keyword1=-1 -1 0
lioeditor.scheme.cpp.colors.ocean.keyword2=0x0000FF -1 0
lioeditor.scheme.cpp.colors.ocean.keyword3=-1 -1 0
lioeditor.scheme.cpp.colors.ocean.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.cpp.colors.ocean.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.cpp.colors.ocean.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.cpp.colors.twilight.normal=0xFFFFFF 0x000000 0
lioeditor.scheme.cpp.colors.twilight.select=0x000000 0x0000FF 0
lioeditor.scheme.cpp.colors.twilight.comment=0x00FF00 -1 2
lioeditor.scheme.cpp.colors.twilight.lcomment=0x00FF00 -1 2
lioeditor.scheme.cpp.colors.twilight.preprocessor=0x008000 -1 0
lioeditor.scheme.cpp.colors.twilight.string=0xFFFF00 -1 0
lioeditor.scheme.cpp.colors.twilight.cchar=0xFFFF00 -1 0
lioeditor.scheme.cpp.colors.twilight.number=0xFF00FF -1 0
lioeditor.scheme.cpp.colors.twilight.oper=0xC0C0C0 -1 0
lioeditor.scheme.cpp.colors.twilight.keyword1=0x00FFFF -1 0
lioeditor.scheme.cpp.colors.twilight.keyword2=-1 -1 0
lioeditor.scheme.cpp.colors.twilight.keyword3=-1 -1 0
lioeditor.scheme.cpp.colors.twilight.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.cpp.colors.twilight.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.cpp.colors.twilight.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.cpp.colors.classic.normal=0xFFFF00 0x000080 0
lioeditor.scheme.cpp.colors.classic.select=0x000080 0xC0C0C0 0
lioeditor.scheme.cpp.colors.classic.comment=0xC0C0C0 -1 2
lioeditor.scheme.cpp.colors.classic.lcomment=0xC0C0C0 -1 2
lioeditor.scheme.cpp.colors.classic.preprocessor=0x008000 -1 0
lioeditor.scheme.cpp.colors.classic.string=0x00FFFF -1 0
lioeditor.scheme.cpp.colors.classic.cchar=0x00FFFF -1 0
lioeditor.scheme.cpp.colors.classic.number=0xFF00FF -1 0
lioeditor.scheme.cpp.colors.classic.oper=0x00FF00 -1 0
lioeditor.scheme.cpp.colors.classic.keyword1=0xFFFFFF -1 0
lioeditor.scheme.cpp.colors.classic.keyword2=-1 -1 0
lioeditor.scheme.cpp.colors.classic.keyword3=-1 -1 0
lioeditor.scheme.cpp.colors.classic.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.cpp.colors.classic.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.cpp.colors.classic.userselect=0xFFFFFF 0x808080 0


lioeditor.scheme.cpp.codetemplate=
lioeditor.scheme.cpp.codetemplate.1=0:for:for (`condition`) {\n\t`expression`\n}
lioeditor.scheme.cpp.codetemplate.2=0:while:while (`condition`) {\n\t`expression`\n}
lioeditor.scheme.cpp.codetemplate.3=0:if:if (`condition`) {\n\t`expression`\n}
lioeditor.scheme.cpp.codetemplate.4=0:ife:if (`condition`) {\n\t`expression`\n}\nelse {\n\t`expression`\n}
lioeditor.scheme.cpp.codetemplate.5=
lioeditor.scheme.cpp.codetemplate.6=
lioeditor.scheme.cpp.codetemplate.7=
lioeditor.scheme.cpp.codetemplate.8=
lioeditor.scheme.cpp.codetemplate.9=
lioeditor.scheme.cpp.codetemplate.10=
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.name = ["lioTextEditorTab/Scheme_Cpp"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.view.description = ["lioTextEditorTab/Scheme_Cpp_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Colors.name = ["lioTextEditorTab/Colors_Cpp"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Colors = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Colors.propertyName = lioeditor.scheme.cpp.colors
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Colors.view.description = ["lioTextEditorTab/Colors_Cpp_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Tab Size.name = ["lioTextEditorTab/tabSize"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Tab Size = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Tab Size.propertyName = lioeditor.scheme.cpp.tab_size
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Tab Size.view.description=["lioTextEditorTab/tabSize_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Cut Line Ends.name = ["lioTextEditorTab/cutLineEnds"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Cut Line Ends = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Cut Line Ends.propertyName = lioeditor.scheme.cpp.cut_line_ends
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Cut Line Ends.view.description=["lioTextEditorTab/cutLineEnds_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Optimal Fill.name = ["lioTextEditorTab/optimalFill"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Optimal Fill = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Optimal Fill.propertyName = lioeditor.scheme.cpp.optimal_fill
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Optimal Fill.view.description=["lioTextEditorTab/optimalFill_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Auto Indent.name = ["lioTextEditorTab/autoIndent"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Auto Indent = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Auto Indent.propertyName = lioeditor.scheme.cpp.auto_indent
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Auto Indent.view.description=["lioTextEditorTab/autoIndent_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Smart Indent.name = ["lioTextEditorTab/smartIndent"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Smart Indent = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Smart Indent.propertyName = lioeditor.scheme.cpp.smart_indent
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Smart Indent.view.description=["lioTextEditorTab/smartIndent_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Right Margin.name = ["lioTextEditorTab/rightMargin"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Right Margin = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Right Margin.propertyName = lioeditor.scheme.cpp.right_margin
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Right Margin.view.description=["lioTextEditorTab/rightMargin_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.CursorThrowTabs.name = ["lioTextEditorTab/cursorThrowTabs"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.CursorThrowTabs = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.CursorThrowTabs.propertyName = lioeditor.scheme.cpp.cursor_throwgh_tabs
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.CursorThrowTabs.view.description=["lioTextEditorTab/cursorThrowTabs_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.UseTabChar.name = ["lioTextEditorTab/useTabChar"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.UseTabChar = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.UseTabChar.propertyName = lioeditor.scheme.cpp.use_tab_char
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.UseTabChar.view.description=["lioTextEditorTab/useTabChar_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Code Template.name = ["lioTextEditorTab/CodeTemplate"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Code Template = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Code Template.propertyName = lioeditor.scheme.cpp.codetemplate
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.Code Template.view.description = ["lioTextEditorTab/CodeTemplate_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.GroupUndo.name = ["lioTextEditorTab/GroupUndo"]
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.GroupUndo = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.GroupUndo.propertyName = lioeditor.scheme.cpp.group_undo
optionsEditor.item.Text Editor.item.Schemes.item.Cpp.item.GroupUndo.view.description=["lioTextEditorTab/GroupUndo_description"]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

lioeditor.scheme.idl.tab_size = 4
lioeditor.scheme.idl.font_size = 12
lioeditor.scheme.idl.right_margin = 80
lioeditor.scheme.idl.caret.shape = vertical
lioeditor.scheme.idl.colors = def
lioeditor.scheme.idl.keywords = interface,enum,typedef,struct,void,char,short,int,long,float,double,abstract,any,attribute,boolean,case,const,context,custom,default,exception,factory,FALSE,fixed,in,inout,module,native,Object,octet,oneway,out,private,public,raises,readonly,sequence,string,supports,switch,TRUE,truncatable,unsigned,union,ValueBase,valuetype,wchar,wstring
lioeditor.scheme.idl.keywords2 =
lioeditor.scheme.idl.cut_line_ends = true
lioeditor.scheme.idl.optimal_fill = false
lioeditor.scheme.idl.auto_indent = true
lioeditor.scheme.idl.smart_indent = true
lioeditor.scheme.idl.cursor_throwgh_tabs = true
lioeditor.scheme.idl.use_tab_char = false
lioeditor.scheme.idl.group_undo = true

lioeditor.scheme.idl.colors.def.normal=0x000000 0xFFFFFF 0
lioeditor.scheme.idl.colors.def.select=0xFFFFFF 0x000000 0
lioeditor.scheme.idl.colors.def.comment=0x008000 -1 0
lioeditor.scheme.idl.colors.def.lcomment=0x008000 -1 0
lioeditor.scheme.idl.colors.def.preprocessor=0x008000 -1 0
lioeditor.scheme.idl.colors.def.import=0x008000 -1 0
lioeditor.scheme.idl.colors.def.string=0x0000FF -1 0
lioeditor.scheme.idl.colors.def.cchar=0x0000FF -1 0
lioeditor.scheme.idl.colors.def.rectpr=0x800000 -1 0
lioeditor.scheme.idl.colors.def.number=0x0000FF -1 0
lioeditor.scheme.idl.colors.def.oper=-1 -1 0
lioeditor.scheme.idl.colors.def.keyword1=0x000080 -1 0
lioeditor.scheme.idl.colors.def.keyword2=-1 -1 0
lioeditor.scheme.idl.colors.def.keyword3=-1 -1 0
lioeditor.scheme.idl.colors.def.findselect=0x000000 0x00FFFF 0
lioeditor.scheme.idl.colors.def.naviselect=0xFFFFFF 0x000080 0
lioeditor.scheme.idl.colors.def.userselect=0xFFFFFF 0x000080 0

lioeditor.scheme.idl.colors.ocean.normal=0x000000 0x00FFFF 0
lioeditor.scheme.idl.colors.ocean.select=0x00FFFF 0x0000FF 0
lioeditor.scheme.idl.colors.ocean.comment=0x008080 -1 2
lioeditor.scheme.idl.colors.ocean.lcomment=0x008080 -1 2
lioeditor.scheme.idl.colors.ocean.preprocessor=0x008000 -1 0
lioeditor.scheme.idl.colors.ocean.import=0x008000 -1 0
lioeditor.scheme.idl.colors.ocean.string=0x800080 -1 0
lioeditor.scheme.idl.colors.ocean.cchar=0x800080 -1 0
lioeditor.scheme.idl.colors.ocean.rectpr=0x800080 -1 0
lioeditor.scheme.idl.colors.ocean.number=0x808000 -1 0
lioeditor.scheme.idl.colors.ocean.oper=-1 -1 0
lioeditor.scheme.idl.colors.ocean.keyword1=-1 -1 0
lioeditor.scheme.idl.colors.ocean.keyword2=0x0000FF -1 0
lioeditor.scheme.idl.colors.ocean.keyword3=-1 -1 0
lioeditor.scheme.idl.colors.ocean.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.idl.colors.ocean.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.idl.colors.ocean.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.idl.colors.twilight.normal=0xFFFFFF 0x000000 0
lioeditor.scheme.idl.colors.twilight.select=0x000000 0x0000FF 0
lioeditor.scheme.idl.colors.twilight.comment=0x00FF00 -1 2
lioeditor.scheme.idl.colors.twilight.lcomment=0x00FF00 -1 2
lioeditor.scheme.idl.colors.twilight.preprocessor=0x008000 -1 0
lioeditor.scheme.idl.colors.twilight.import=0x008000 -1 0
lioeditor.scheme.idl.colors.twilight.string=0xFFFF00 -1 0
lioeditor.scheme.idl.colors.twilight.cchar=0xFFFF00 -1 0
lioeditor.scheme.idl.colors.twilight.rectpr=0xFFFF00 -1 0
lioeditor.scheme.idl.colors.twilight.number=0xFF00FF -1 0
lioeditor.scheme.idl.colors.twilight.oper=0xC0C0C0 -1 0
lioeditor.scheme.idl.colors.twilight.keyword1=0x00FFFF -1 0
lioeditor.scheme.idl.colors.twilight.keyword2=-1 -1 0
lioeditor.scheme.idl.colors.twilight.keyword3=-1 -1 0
lioeditor.scheme.idl.colors.twilight.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.idl.colors.twilight.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.idl.colors.twilight.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.idl.colors.classic.normal=0xFFFF00 0x000080 0
lioeditor.scheme.idl.colors.classic.select=0x000080 0xC0C0C0 0
lioeditor.scheme.idl.colors.classic.comment=0xC0C0C0 -1 2
lioeditor.scheme.idl.colors.classic.lcomment=0xC0C0C0 -1 2
lioeditor.scheme.idl.colors.classic.preprocessor=0x008000 -1 0
lioeditor.scheme.idl.colors.classic.import=0x008000 -1 0
lioeditor.scheme.idl.colors.classic.string=0x00FFFF -1 0
lioeditor.scheme.idl.colors.classic.cchar=0x00FFFF -1 0
lioeditor.scheme.idl.colors.classic.rectpr=0x00FFFF -1 0
lioeditor.scheme.idl.colors.classic.number=0xFF00FF -1 0
lioeditor.scheme.idl.colors.classic.oper=0x00FF00 -1 0
lioeditor.scheme.idl.colors.classic.keyword1=0xFFFFFF -1 0
lioeditor.scheme.idl.colors.classic.keyword2=-1 -1 0
lioeditor.scheme.idl.colors.classic.keyword3=-1 -1 0
lioeditor.scheme.idl.colors.classic.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.idl.colors.classic.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.idl.colors.classic.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.idl.codetemplate=
lioeditor.scheme.idl.codetemplate.1=
lioeditor.scheme.idl.codetemplate.2=
lioeditor.scheme.idl.codetemplate.3=
lioeditor.scheme.idl.codetemplate.4=
lioeditor.scheme.idl.codetemplate.5=
lioeditor.scheme.idl.codetemplate.6=
lioeditor.scheme.idl.codetemplate.7=
lioeditor.scheme.idl.codetemplate.8=
lioeditor.scheme.idl.codetemplate.9=
lioeditor.scheme.idl.codetemplate.10=

optionsEditor.item.Text Editor.item.Schemes.item.Idl.name = ["lioTextEditorTab/Scheme_Idl"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.view.description = ["lioTextEditorTab/Scheme_Idl_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Colors.name = ["lioTextEditorTab/Colors_Idl"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Colors = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Colors.propertyName = lioeditor.scheme.idl.colors
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Colors.view.description = ["lioTextEditorTab/Colors_Idl_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Tab Size.name = ["lioTextEditorTab/tabSize"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Tab Size = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Tab Size.propertyName = lioeditor.scheme.idl.tab_size
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Tab Size.view.description=["lioTextEditorTab/tabSize_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Cut Line Ends.name = ["lioTextEditorTab/cutLineEnds"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Cut Line Ends = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Cut Line Ends.propertyName = lioeditor.scheme.idl.cut_line_ends
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Cut Line Ends.view.description=["lioTextEditorTab/cutLineEnds_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Optimal Fill.name = ["lioTextEditorTab/optimalFill"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Optimal Fill = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Optimal Fill.propertyName = lioeditor.scheme.idl.optimal_fill
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Optimal Fill.view.description=["lioTextEditorTab/optimalFill_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Auto Indent.name = ["lioTextEditorTab/autoIndent"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Auto Indent = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Auto Indent.propertyName = lioeditor.scheme.idl.auto_indent
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Auto Indent.view.description=["lioTextEditorTab/autoIndent_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Smart Indent.name = ["lioTextEditorTab/smartIndent"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Smart Indent = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Smart Indent.propertyName = lioeditor.scheme.idl.smart_indent
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Smart Indent.view.description=["lioTextEditorTab/smartIndent_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Right Margin.name = ["lioTextEditorTab/rightMargin"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Right Margin = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Right Margin.propertyName = lioeditor.scheme.idl.right_margin
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Right Margin.view.description=["lioTextEditorTab/rightMargin_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.CursorThrowTabs.name = ["lioTextEditorTab/cursorThrowTabs"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.CursorThrowTabs = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.CursorThrowTabs.propertyName = lioeditor.scheme.idl.cursor_throwgh_tabs
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.CursorThrowTabs.view.description=["lioTextEditorTab/cursorThrowTabs_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.UseTabChar.name = ["lioTextEditorTab/useTabChar"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.UseTabChar = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.UseTabChar.propertyName = lioeditor.scheme.idl.use_tab_char
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.UseTabChar.view.description=["lioTextEditorTab/useTabChar_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Code Template.name = ["lioTextEditorTab/CodeTemplate"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Code Template = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Code Template.propertyName = lioeditor.scheme.idl.codetemplate
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.Code Template.view.description = ["lioTextEditorTab/CodeTemplate_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.GroupUndo.name = ["lioTextEditorTab/GroupUndo"]
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.GroupUndo = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.GroupUndo.propertyName = lioeditor.scheme.idl.group_undo
optionsEditor.item.Text Editor.item.Schemes.item.Idl.item.GroupUndo.view.description=["lioTextEditorTab/GroupUndo_description"]

;;;;;;;;;;;;;;;;;

lioeditor.scheme.html.tab_size = 4
lioeditor.scheme.html.font_size = 12
lioeditor.scheme.html.right_margin = 80
lioeditor.scheme.html.caret.shape = vertical
lioeditor.scheme.html.colors = def
lioeditor.scheme.html.cut_line_ends = true
lioeditor.scheme.html.optimal_fill = false
lioeditor.scheme.html.auto_indent = true
;lioeditor.scheme.html.smart_indent = true
lioeditor.scheme.html.cursor_throwgh_tabs = false
lioeditor.scheme.html.use_tab_char = true
lioeditor.scheme.html.group_undo = true
lioeditor.scheme.html.keywords =
lioeditor.scheme.html.keywords2 =

lioeditor.scheme.html.colors.def.normal = 0x0 0xffffff 0
lioeditor.scheme.html.colors.def.select = 0xffffff 0x0 0
lioeditor.scheme.html.colors.def.comment = 0x808000 -1 0
lioeditor.scheme.html.colors.def.var = 0xff -1 0
lioeditor.scheme.html.colors.def.cmd = 0x8000 -1 0
lioeditor.scheme.html.colors.def.keyword1 = 0x0 -1 1
lioeditor.scheme.html.colors.def.keyword2 = 0x8080 -1 1
lioeditor.scheme.html.colors.def.keyword3=-1 -1 0
lioeditor.scheme.html.colors.def.findselect = 0x0 0xffff 0
lioeditor.scheme.html.colors.def.naviselect = 0xffffff 0x80 0
lioeditor.scheme.html.colors.def.userselect = 0xffffff 0x80 0

lioeditor.scheme.html.colors.ocean.normal=0x000000 0x00FFFF 0
lioeditor.scheme.html.colors.ocean.select=0x00FFFF 0x0000FF 0
lioeditor.scheme.html.colors.ocean.comment=0x008080 -1 2
lioeditor.scheme.html.colors.ocean.var=0x800080 -1 0
lioeditor.scheme.html.colors.ocean.cmd=0x808000 -1 0
lioeditor.scheme.html.colors.ocean.keyword1=-1 -1 0
lioeditor.scheme.html.colors.ocean.keyword2=0x0000FF -1 0
lioeditor.scheme.html.colors.ocean.keyword3=-1 -1 0
lioeditor.scheme.html.colors.ocean.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.html.colors.ocean.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.html.colors.ocean.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.html.colors.twilight.normal=0xFFFFFF 0x000000 0
lioeditor.scheme.html.colors.twilight.select=0x000000 0x0000FF 0
lioeditor.scheme.html.colors.twilight.comment=0x00FF00 -1 2
lioeditor.scheme.html.colors.twilight.var=0xFFFF00 -1 0
lioeditor.scheme.html.colors.twilight.cmd=0xFF00FF -1 0
lioeditor.scheme.html.colors.twilight.keyword1=0x00FFFF -1 0
lioeditor.scheme.html.colors.twilight.keyword2=-1 -1 0
lioeditor.scheme.html.colors.twilight.keyword3=-1 -1 0
lioeditor.scheme.html.colors.twilight.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.html.colors.twilight.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.html.colors.twilight.userselect=0xFFFFFF 0x808080 0

lioeditor.scheme.html.colors.classic.normal=0xFFFF00 0x000080 0
lioeditor.scheme.html.colors.classic.select=0x000080 0xC0C0C0 0
lioeditor.scheme.html.colors.classic.comment=0xC0C0C0 -1 2
lioeditor.scheme.html.colors.classic.var=0x00FFFF -1 0
lioeditor.scheme.html.colors.classic.cmd=0xFF00FF -1 0
lioeditor.scheme.html.colors.classic.keyword1=0xFFFFFF -1 0
lioeditor.scheme.html.colors.classic.keyword2=-1 -1 0
lioeditor.scheme.html.colors.classic.keyword3=-1 -1 0
lioeditor.scheme.html.colors.classic.findselect=0xFFFFFF 0x0000FF 0
lioeditor.scheme.html.colors.classic.naviselect=0xFFFFFF 0x808080 0
lioeditor.scheme.html.colors.classic.userselect=0xFFFFFF 0x808080 0


lioeditor.scheme.html.codetemplate=
lioeditor.scheme.html.codetemplate.1=
lioeditor.scheme.html.codetemplate.2=
lioeditor.scheme.html.codetemplate.3=
lioeditor.scheme.html.codetemplate.4=
lioeditor.scheme.html.codetemplate.5=
lioeditor.scheme.html.codetemplate.6=
lioeditor.scheme.html.codetemplate.7=
lioeditor.scheme.html.codetemplate.8=
lioeditor.scheme.html.codetemplate.9=
lioeditor.scheme.html.codetemplate.10=
optionsEditor.item.Text Editor.item.Schemes.item.Html.name = ["lioTextEditorTab/Scheme_Html"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.view.description = ["lioTextEditorTab/Scheme_Html_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Colors.name = ["lioTextEditorTab/Colors_Html"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Colors = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Colors.propertyName = lioeditor.scheme.html.colors
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Colors.view.description = ["lioTextEditorTab/Colors_Html_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Right Margin.name = ["lioTextEditorTab/rightMargin"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Right Margin = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Right Margin.propertyName = lioeditor.scheme.html.right_margin
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Right Margin.view.description=["lioTextEditorTab/rightMargin_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Tab Size.name = ["lioTextEditorTab/tabSize"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Tab Size = StringField
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Tab Size.propertyName = lioeditor.scheme.html.tab_size
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Tab Size.view.description=["lioTextEditorTab/tabSize_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Cut Line Ends.name = ["lioTextEditorTab/cutLineEnds"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Cut Line Ends = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Cut Line Ends.propertyName = lioeditor.scheme.html.cut_line_ends
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Cut Line Ends.view.description=["lioTextEditorTab/cutLineEnds_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Optimal Fill.name = ["lioTextEditorTab/optimalFill"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Optimal Fill = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Optimal Fill.propertyName = lioeditor.scheme.html.optimal_fill
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Optimal Fill.view.description=["lioTextEditorTab/optimalFill_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Auto Indent.name = ["lioTextEditorTab/autoIndent"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Auto Indent = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Auto Indent.propertyName = lioeditor.scheme.html.auto_indent
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Auto Indent.view.description=["lioTextEditorTab/autoIndent_description"]

;optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Smart Indent.name = ["lioTextEditorTab/smartIndent"]
;optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Smart Indent = BooleanField
;optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Smart Indent.propertyName = lioeditor.scheme.html.smart_indent
;optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Smart Indent.view.description=["lioTextEditorTab/smartIndent_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.CursorThrowTabs.name = ["lioTextEditorTab/cursorThrowTabs"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.CursorThrowTabs = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.CursorThrowTabs.propertyName = lioeditor.scheme.html.cursor_throwgh_tabs
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.CursorThrowTabs.view.description=["lioTextEditorTab/cursorThrowTabs_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.UseTabChar.name = ["lioTextEditorTab/useTabChar"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.UseTabChar = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.UseTabChar.propertyName = lioeditor.scheme.html.use_tab_char
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.UseTabChar.view.description=["lioTextEditorTab/useTabChar_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Code Template.name = ["lioTextEditorTab/CodeTemplate"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Code Template = LioDlgField(isDefaultOptions())
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Code Template.propertyName = lioeditor.scheme.html.codetemplate
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.Code Template.view.description = ["lioTextEditorTab/CodeTemplate_description"]

optionsEditor.item.Text Editor.item.Schemes.item.Html.item.GroupUndo.name = ["lioTextEditorTab/GroupUndo"]
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.GroupUndo = BooleanField
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.GroupUndo.propertyName = lioeditor.scheme.html.group_undo
optionsEditor.item.Text Editor.item.Schemes.item.Html.item.GroupUndo.view.description=["lioTextEditorTab/GroupUndo_description"]

